package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.SecretariaEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.Secretaria;
import com.rjconsultores.ventaboletos.entidad.SecretariaEmpresa;
import com.rjconsultores.ventaboletos.service.SecretariaEmpresaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("secretariaEmpresaService")
public class SecretariaEmpresaServiceImpl implements SecretariaEmpresaService {

	@Autowired
    private SecretariaEmpresaDAO secretariaEmpresaDAO;

    public List<SecretariaEmpresa> obtenerTodos() {
        return secretariaEmpresaDAO.obtenerTodos();
    }

    public SecretariaEmpresa obtenerID(Integer id) {
        return secretariaEmpresaDAO.obtenerID(id);
    }

    @Transactional
    public SecretariaEmpresa suscribir(SecretariaEmpresa entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return secretariaEmpresaDAO.suscribir(entidad);
    }

    @Transactional
    public SecretariaEmpresa actualizacion(SecretariaEmpresa entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return secretariaEmpresaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(SecretariaEmpresa entidad) {
        secretariaEmpresaDAO.borrar(entidad);
    }

    
    @Override
	public List<SecretariaEmpresa> buscarPorSecretaria(Secretaria secretaria){
    	return secretariaEmpresaDAO.buscarPorSecretaria(secretaria);
    }
}
